Subject: Re: [PATCH 2/2] diff --word-diff: use non-whitespace regex by default

From: Thomas Rast <[email-masked]>
Date: Wed, 11 Jan 2012 21:05:26 +0100

Tay Ray Chuan <[email-masked]> writes:

> Factor out the comprehensive non-whitespace regex in use by PATTERNS and
> IPATTERN and use it as the word-diff regex for the default diff driver.

Why?

I seem to recall that the motivation for keeping the original code as-is
instead of just emulating its behavior with a default regex was that it
is faster.  So disabling the default mode should at least have an
advantage?

</devils-advocate>

-- 
Thomas Rast
trast@{inf,student}.ethz.ch